RegisterVersion
Register a new software version in the OTA version catalog
POST
/api/v1/ota/versionsOperation ID
RegisterVersionSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
versionStringRequiredVersion string for the new OTA release being registered
Example: 1.3.0
releaseNotesStringRequiredRelease notes describing changes in this version
Example: Bug fixes and performance improvements
sha256ChecksumStringRequiredSHA256 checksum of the artifact for integrity verification
Example: abc123def456abc123def456abc123def456abc123def456abc123def456abc1
fileSizeStringRequiredFile size in bytes of the OTA artifact
Example: 52428800
minAgentVersionStringRequiredMinimum agent version required to apply this OTA package
Example: 1.2.0
